|
|
@@ -0,0 +1,44 @@
|
|
|
+#!/bin/sh
|
|
|
+set -e
|
|
|
+
|
|
|
+TESTDIR=$(readlink -f $(dirname $0))
|
|
|
+. $TESTDIR/framework
|
|
|
+setupenvironment
|
|
|
+configarchitecture 'amd64' 'armel'
|
|
|
+
|
|
|
+insertinstalledpackage 'build-essential' 'all' '11.5' 'Multi-Arch: foreign'
|
|
|
+
|
|
|
+insertpackage 'unstable' 'po-debconf' 'all' '1'
|
|
|
+insertsource 'unstable' 'dash' 'any' '1' 'Build-Depends: po-debconf'
|
|
|
+insertpackage 'unstable' 'make-po-debconf-pure-virtual' 'armel' '1' 'Depends: po-debconf'
|
|
|
+
|
|
|
+insertpackage 'unstable' 'po-debconf' 'amd64' '1'
|
|
|
+insertsource 'unstable' 'diffutils' 'any' '1' 'Build-Depends: texi2html'
|
|
|
+
|
|
|
+setupaptarchive
|
|
|
+
|
|
|
+testequal 'Package: po-debconf:armel
|
|
|
+Versions:
|
|
|
+
|
|
|
+Reverse Depends:
|
|
|
+ make-po-debconf-pure-virtual:armel,po-debconf:armel
|
|
|
+Dependencies:
|
|
|
+Provides:
|
|
|
+Reverse Provides: ' aptcache showpkg po-debconf:armel
|
|
|
+testequal 'N: Unable to locate package texi2html' aptcache showpkg texi2html:armel -q=0
|
|
|
+
|
|
|
+testequal 'Reading package lists...
|
|
|
+Building dependency tree...
|
|
|
+The following NEW packages will be installed:
|
|
|
+ po-debconf
|
|
|
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
|
|
|
+Inst po-debconf (1 unstable, unstable [all])
|
|
|
+Conf po-debconf (1 unstable, unstable [all])' aptget build-dep dash -s
|
|
|
+
|
|
|
+testequal 'Reading package lists...
|
|
|
+Building dependency tree...
|
|
|
+E: Build-Depends dependency for dash cannot be satisfied because the package po-debconf cannot be found' aptget build-dep -aarmel dash -s
|
|
|
+
|
|
|
+testequal 'Reading package lists...
|
|
|
+Building dependency tree...
|
|
|
+E: Build-Depends dependency for diffutils cannot be satisfied because the package texi2html cannot be found' aptget build-dep -aarmel diffutils -s
|